#define uchar unsigned char

#define fZero 60
#define fMaxValue 900
#define R1 8.2
#define R2 1000

#define LINE_UNKNOWN 252
#define LINE_BROKEN 253
#define LINE_SHORTED 254
#define LINE_UNUSED 255

void Initialize ();

float GetADCData (uchar nChannel);
void SetTestLines (uchar nPositive, uchar nNegative, bool bWait);
float GetResistance (uchar Line1, uchar Line2, float Umin);

bool CheckLineVoltage (float *Umin, float *Umax);
void ShowFault (uchar nCode);

bool CheckConnection (char *Data, char *Mask);
void RefreshDisplay (uchar *Data, int L, bool bShowLength);

uchar StageOneCheck (uchar *Line, const uchar *PinOut, uchar *GoodLine, uchar *BrokenIndex);
void StageTwoCheck (uchar *Line, const uchar *PinOut, uchar *GoodLine, uchar LineCount, const float R [3][8], float Umin);
int StageThreeCheck (uchar BrokenIndex, const uchar *PinOut);

void EasterEgg ();
